Bug 1410020 - Provide CFME/RHV build in qcow format, further to image uploader tool drop for RHV-4.1
Summary: Provide CFME/RHV build in qcow format, further to image uploader tool drop fo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Build
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Satoe Imaishi
QA Contact: Ilanit Stein
URL:
Whiteboard: Build for rhev
Depends On:
Blocks: 1427169 1427170
TreeView+ depends on / blocked
 
Reported: 2017-01-04 08:43 UTC by Piotr Kliczewski
Modified: 2019-10-16 09:13 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1427169 1427170 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:06:49 UTC
Category: ---
Cloudforms Team: Unknown
Target Upstream Version:
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1412134 0 high CLOSED [Doc] Installing CloudForms on RHV flow change for RHV-4.1 2021-02-22 00:41:40 UTC

Internal Links: 1412134

Description Piotr Kliczewski 2017-01-04 08:43:22 UTC
I want to upload official manageiq ova from [1]. I looked for a way to do it and not found ovirt-image-uploader in 4.1 engine. When I import vm from the UI I get:

on the engine side:

2017-01-03 23:43:59,318+01 ERROR
[org.ovirt.engine.core.bll.GetVmFromOvaQuery] (default task-1)
[33a1d8b5-8cec-4b00-9a35-ee9f1d9635b2] Exception:
org.ovirt.engine.core.common.errors.EngineException: EngineException:
org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException:
VDSGenericException: VDSErrorException: Failed to GetOvaInfoVDS, error
= Error parsing ovf information: no memory size, code = -32603 (Failed
with error unexpected and code 16)
        at org.ovirt.engine.core.bll.VdsHandler.handleVdsResult(VdsHandler.java:118)
[bll.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.runVdsCommand(VDSBrokerFrontendImpl.java:33)
[bll.jar:]
        at org.ovirt.engine.core.bll.QueriesCommandBase.runVdsCommand(QueriesCommandBase.java:242)
[bll.jar:]
        at org.ovirt.engine.core.bll.GetVmFromOvaQuery.getVmInfoFromOvaFile(GetVmFromOvaQuery.java:24)
[bll.jar:]
        at org.ovirt.engine.core.bll.GetVmFromOvaQuery.executeQueryCommand(GetVmFromOvaQuery.java:20)
[bll.jar:]
        at org.ovirt.engine.core.bll.QueriesCommandBase.executeCommand(QueriesCommandBase.java:110)
[bll.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:33)
[dal.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendQueryExecutor.execute(DefaultBackendQueryExecutor.java:14)
[bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runQueryImpl(Backend.java:579)
[bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runQuery(Backend.java:547)
[bll.jar:]

on the vdsm side:

2017-01-03 23:43:58,437 ERROR (jsonrpc/0) [jsonrpc.JsonRpcServer]
Internal server error (__init__:552)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/yajsonrpc/__init__.py", line
547, in _handle_request
    res = method(**params)
  File "/usr/lib/python2.7/site-packages/vdsm/rpc/Bridge.py", line
198, in _dynamicMethod
    result = fn(*methodArgs)
  File "/usr/share/vdsm/API.py", line 1493, in getExternalVmFromOva
    return v2v.get_ova_info(ova_path)
  File "/usr/lib/python2.7/site-packages/vdsm/v2v.py", line 226, in get_ova_info
    _add_general_ovf_info(vm, root, ns, ova_path)
  File "/usr/lib/python2.7/site-packages/vdsm/v2v.py", line 1225, in
_add_general_ovf_info
    raise V2VError('Error parsing ovf information: no memory size')
V2VError: Error parsing ovf information: no memory size

I am using:
ovirt-engine
Version     : 4.1.0
Release     : 0.3.beta2.20161221085908.el7.centos
vdsm
Version     : 4.18.999
Release     : 1218.gitd36143e.el7.centos

[1] http://manageiq.org/download/

Comment 1 Michal Skrivanek 2017-01-04 09:00:38 UTC
this should be MiQ bug, not oVirt's. 
There is no OVA import support in oVirt for anything else but VMware's exported VMs
And instead of adding that a better solution is to use the new image upload feature and import qcow2 disk; MiQ team should change the delivery to that
(i'm not familiar with the right place where to track it, can you please move it/open issue there?)

Comment 3 Ilanit Stein 2017-01-11 09:54:27 UTC
ydary:
"The current decision is to not release the image uploader tool for 4.1 as we don't plan to support it going forward.
Deprecation notice was sent with the 4.0 errata for that. 

Customers and CFME should migrate to use the upload API\UI to create disk and then attach to VM.
This doesn't mean due that a customer will not be able to still use the image uploader tool with 4.0 rpm as stop gap for OVAs until 4.2 (I'll make sure it is tagged to 4.1 channel).
It is standalone from the engine and is based on the 4.0 API. That will still work at least until we remove export domains in a future 4.x version."



Based on the above, moving this bug into:

Please provide CFME/RHV image in qcow format, for RHV 4.0+,
while continue providing OVA format,for RHV 3.x.

Comment 5 CFME Bot 2017-02-22 16:32:55 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=4fb4fba2026c8dc2e8c16feaa91a38e7333d8722

commit 4fb4fba2026c8dc2e8c16feaa91a38e7333d8722
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Thu Feb 16 16:05:57 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Feb 21 08:47:30 2017 -0500

    Add qcow format to RHEV.  RHEV 4.1 doesn't support ova import.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410020

 manageiq-appliance-build/config/image_build/targets.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 CFME Bot 2017-02-22 16:33:01 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=1c25b6c9147a58a622700dd381eb6ef0da371fd5

commit 1c25b6c9147a58a622700dd381eb6ef0da371fd5
Merge: 8e43f62 4fb4fba
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Wed Feb 22 11:27:08 2017 -0500
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Wed Feb 22 11:27:08 2017 -0500

    Merge branch 'add_qcow_rhev' into 'master'
    
    Add qcow format to RHEV as RHEV 4.1 doesn't support ova import
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410020
    
    See merge request !418

 manageiq-appliance-build/config/image_build/targets.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 CFME Bot 2017-02-24 22:02:26 UTC
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/1b2dc30c3231920e0760581e18fa83d66b2cfcc2

commit 1b2dc30c3231920e0760581e18fa83d66b2cfcc2
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Tue Feb 21 15:32:29 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Feb 22 18:32:59 2017 -0500

    For ovirt image, create both ova and qcow2.
    Ovirt/RHV 4.1 doesn't support ova import, 3.x doesn't support qcow2
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410020

 scripts/vmbuild.rb | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

Comment 11 Ilanit Stein 2017-02-28 13:58:04 UTC
Verified on RHV-4.0
Tested .../builds/cfme/5.8/stable/cfme-rhevm-5.8.0.2-1.x86_64.qcow2
loaded the CFME appliance, and added a RHV provider successfully.

Comment 12 Marina Kalinin 2019-10-15 17:59:27 UTC
(In reply to Michal Skrivanek from comment #1)
> this should be MiQ bug, not oVirt's. 
> There is no OVA import support in oVirt for anything else but VMware's
> exported VMs
> And instead of adding that a better solution is to use the new image upload
> feature and import qcow2 disk; MiQ team should change the delivery to that
> (i'm not familiar with the right place where to track it, can you please
> move it/open issue there?)

To clarify, based on RHV 4.3 documentation, we also support RHV OVA images (obviously), together with VmWare ones:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3/html-single/virtual_machine_management_guide/index#Importing_a_virtual_machine_from_a_host.

Separately, qcow2 disks can be uploaded and attached to a VM in RHV environment, but this is a different option.

Comment 13 Michal Skrivanek 2019-10-16 09:13:40 UTC
(In reply to Marina Kalinin from comment #12)
> (In reply to Michal Skrivanek from comment #1)
> > this should be MiQ bug, not oVirt's. 
> > There is no OVA import support in oVirt for anything else but VMware's
> > exported VMs
> > And instead of adding that a better solution is to use the new image upload
> > feature and import qcow2 disk; MiQ team should change the delivery to that
> > (i'm not familiar with the right place where to track it, can you please
> > move it/open issue there?)
> 
> To clarify, based on RHV 4.3 documentation, we also support RHV OVA images
> (obviously), together with VmWare ones:
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3/
> html-single/virtual_machine_management_guide/
> index#Importing_a_virtual_machine_from_a_host.

The crucial point is that those are RHV OVA images - those produced by RHV only. That's not what the CFME build was using to create it, and as a result such OVA was incompatible

> Separately, qcow2 disks can be uploaded and attached to a VM in RHV
> environment, but this is a different option.

yes. Currently that's the option CFME is using


Note You need to log in before you can comment on or make changes to this bug.